commit:     17051aac5bec795d157c75967cd02965949aa057
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 22 10:57:10 2020 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 10:57:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17051aac

sys-fs/fatsort: Version bump to fatsort-1.6.3.622.

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 sys-fs/fatsort/Manifest                 |  1 +
 sys-fs/fatsort/fatsort-1.6.3.622.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/sys-fs/fatsort/Manifest b/sys-fs/fatsort/Manifest
index 93149150257..c6746968827 100644
--- a/sys-fs/fatsort/Manifest
+++ b/sys-fs/fatsort/Manifest
@@ -1 +1,2 @@
 DIST fatsort-1.6.2.605.tar.xz 122928 BLAKE2B 
2690233828e47a4809aac14a8d64dc8d95a824bec52f787190186adbe066d5d4e6f9c6d1873fc6b809c6df6879d12154430f44d412944963bdff49e673079d12
 SHA512 
0d119c99c5efff4c10367152fc6efe95e2cb1c39405ca02dd25b66cc68c7420b5b28c0daca1346b7928633bac8ace2d05d731502f989d39ca5c783dcec69ccc7
+DIST fatsort-1.6.3.622.tar.xz 123644 BLAKE2B 
1db530753bdaee4ebda9ab36a47f6794584bc590de4cbf8d144a5baa770c080c9d27a1ecadd5a22de72538887c4e10f161f3c4fb3afb3e63bd18834897ebe905
 SHA512 
309c7424e53fb74f57d0c4272a1a4b3df57fa1130d7e7adae0ac73ac1c8b1900504e49efd0cc4dafea3efa2fbc9191f343b10bb97b647dd6124197356cd01c53

diff --git a/sys-fs/fatsort/fatsort-1.6.3.622.ebuild 
b/sys-fs/fatsort/fatsort-1.6.3.622.ebuild
new file mode 100644
index 00000000000..28d6fc9100b
--- /dev/null
+++ b/sys-fs/fatsort/fatsort-1.6.3.622.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Sorts files on FAT16/32 partitions, ideal for basic audio players"
+HOMEPAGE="http://fatsort.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+       default
+
+       sed -i -e 's|/usr/local|/usr|g' \
+               $(find ./ -name Makefile) || die
+}
+
+src_compile() {
+       emake CC=$(tc-getCC) LD=$(tc-getCC) \
+               CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+               DESTDIR="${D}" man
+}
+
+src_test() {
+       # Tests require root permissions and mounting filesystems which does
+       # not work inside the ebuild environment
+       true
+}

Reply via email to